Name:           augeas
Version:        1.1.0
Release:        12%{?dist}
Summary:        A library for changing configuration files

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://augeas.net/
Source0:        http://download.augeas.net/%{name}-%{version}.tar.gz

# RHBZ#1019485: Grub module setkey/lock support
Patch1:         augeas-1.1.0-grub-setkey.patch

# RHBZ#1031084: transform.c, save files with // in incl path
Patch2:         augeas-1.1.0-incl-double-slash.patch

# RHBZ#1043665: Sysconfig module empty comment support
Patch3:         augeas-1.1.0-sysconfig-comments.patch

# RHBZ#1043666: testPermsErrorReported, fix when running as root
Patch4:         augeas-1.1.0-testPermsErrorReported-root.patch

# RHBZ#1043815: Shellvars module multivariable exports
Patch5:         augeas-1.1.0-shellvars-multi-export.patch

# RHBZ#1036081: CVE-2013-6412, fix strict umask handling, f5b4fc0c
Patch6:         augeas-1.1.0-cve-2013-6412-umask.patch

# RHBZ#1058409: Yum module, yum-cron incl entry
Patch7:         augeas-1.1.0-yum-cron.patch

# RHBZ#1058411: Shellvars, firewalld.conf incl entry
Patch8:         augeas-1.1.0-shellvars-firewalld.patch

# RHBZ#1059426: Grub module foreground option
Patch9:         augeas-1.1.0-grub-foreground.patch

# RHBZ#1062614: Yum module, spaces around equals
Patch10:        augeas-1.1.0-yum-equals-space.patch

# RHBZ#1056541: Shellvars module, case and same-line ;;
Patch11:        augeas-1.1.0-shellvars-case-semicolons.patch

# RHBZ#1063961: IPRoute2 module, hex IDs and hyphens in protocols
Patch12:        augeas-1.1.0-iproute2-dsfield-hex.patch

# RHBZ#1063968: IPRoute2 module, slash in protocols
Patch13:        augeas-1.1.0-iproute2-protos-slash.patch

# RHBZ#1067039: Yum module, slash in protocols
Patch14:        augeas-1.1.0-yum-exclude.patch

# RHBZ#1064387: Dovecot module, mailbox and quote support
Patch15:        augeas-1.1.0-dovecot-mailbox.patch

# RHBZ#1064388: Keepalived module, virtual server fixes
Patch16:        augeas-1.1.0-keepalived-virtual-servers.patch

# RHBZ#1066419: Krb5 module, parse braces in values
Patch17:        augeas-1.1.0-krb5-braces.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  readline-devel libselinux-devel libxml2-devel
Requires:       %{name}-libs = %{version}-%{release}

%description
A library for programmatically editing configuration files. Augeas parses
configuration files into a tree structure, which it exposes through its
public API. Changes made through the API are written back to the initially
read files.

The transformation works very hard to preserve comments and formatting
details. It is controlled by ``lens'' definitions that describe the file
format and the transformation into a tree.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries

%description    libs
The libraries for %{name}.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%check
# Disable test-preserve.sh. This fails when run under mock due to differing
# SELinux labelling.
cat > tests/test-preserve.sh <<EOF
#!/bin/sh
true
EOF

make %{?_smp_mflags} check || {
  echo '===== tests/test-suite.log ====='
  cat tests/test-suite.log
  exit 1
}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# The tests/ subdirectory contains lenses used only for testing, and
# so it shouldn't be packaged.
rm -r $RPM_BUILD_ROOT%{_datadir}/augeas/lenses/dist/tests

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/augtool
%{_bindir}/augparse
%{_bindir}/fadot
%doc %{_mandir}/man1/*
%{_datadir}/vim/vimfiles/syntax/augeas.vim
%{_datadir}/vim/vimfiles/ftdetect/augeas.vim

%files libs
%defattr(-,root,root,-)
# %{_datadir}/augeas and %{_datadir}/augeas/lenses are owned
# by filesystem.
%{_datadir}/augeas/lenses/dist
%{_libdir}/*.so.*
%doc AUTHORS COPYING NEWS

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/augeas.pc

%changelog
* Tue Feb 25 2014 Dominic Cleal <dcleal@redhat.com> - 1.1.0-12
- Add patch for Dovecot, mailbox and quote support (RHBZ#1064387)
- Add patch for Keepalived, virtual server fixes (RHBZ#1064388)
- Add patch for Krb5, parse braces in values (RHBZ#1066419)

* Thu Feb 20 2014 Dominic Cleal <dcleal@redhat.com> - 1.1.0-11
- Add patch for Yum, split exclude lines (RHBZ#1067039)

* Tue Feb 18 2014 Dominic Cleal <dcleal@redhat.com> - 1.1.0-10
- Add patch for IPRoute2, hex and hyphen protocols (RHBZ#1063961)
- Add patch for IPRoute2, slashes in protocols (RHBZ#1063968)

* Mon Feb 10 2014 Dominic Cleal <dcleal@redhat.com> - 1.1.0-9
- Add patch for yum-cron.conf incl entry (RHBZ#1058409)
- Add patch for firewalld.conf incl entry (RHBZ#1058411)
- Add patch for Grub, foreground option (RHBZ#1059426)
- Add patch for Yum, spaces around equals (RHBZ#1062614)
- Add patch for Shellvars, case and same-line ;; (RHBZ#1056541)

* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 1.1.0-8
- Mass rebuild 2014-01-24

* Tue Jan 14 2014 Dominic Cleal <dcleal@redhat.com> - 1.1.0-7
- Fix CVE-2013-6412, incorrect permissions under strict umask (RHBZ#1036081)

* Thu Jan 02 2014 Dominic Cleal <dcleal@redhat.com> - 1.1.0-6
- Add patch for Sysconfig module, empty comment lines (RHBZ#1043665)
- Add check section to run test suite
- Add patch for testPermsErrorReported test, when root (RHBZ#1043666)
- Add patch for Shellvars, multivariable exports (RHBZ#1043815)

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 1.1.0-5
- Mass rebuild 2013-12-27

* Tue Nov 19 2013 Dominic Cleal <dcleal@redhat.com> - 1.1.0-4
- Add patch for saving files with // in incl path (RHBZ#1031084)

* Tue Oct 22 2013 Dominic Cleal <dcleal@redhat.com> - 1.1.0-3
- Add patch for Grub module, setkey/lock support (RHBZ#1019485)

* Mon Aug 12 2013 Dominic Cleal <dcleal@redhat.com> - 1.1.0-2
- Fix source URL to download.augeas.net (RHBZ#996033)

* Wed Jun 19 2013 David Lutterkort <lutter@redhat.com> - 1.1.0-1
- Update to 1.1.0; remove all patches

* Tue Jun 18 2013 Richard W.M. Jones <rjones@redhat.com> - 1.0.0-4
- Fix /etc/sysconfig/network (RHBZ#904222).

* Wed Jun  5 2013 Richard W.M. Jones <rjones@redhat.com> - 1.0.0-3
- Don't package lenses in tests/ subdirectory.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan  4 2013 David Lutterkort <lutter@redhat.com> - 1.0.0-1
- New version; remove all patches

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 10 2012 David Lutterkort <lutter@redhat.com> - 0.10.0-3
- Add patches for bugs 247 and 248 (JSON lens)

* Sat Dec  3 2011 Richard W.M. Jones <rjones@redhat.com> - 0.10.0-2
- Add patch to resolve missing libxml2 requirement in augeas.pc.

* Fri Dec  2 2011 David Lutterkort <lutter@redhat.com> - 0.10.0-1
- New version

* Mon Jul 25 2011 David Lutterkort <lutter@redhat.com> - 0.9.0-1
- New version; removed patch pathx-whitespace-ea010d8

* Tue May  3 2011 David Lutterkort <lutter@redhat.com> - 0.8.1-2
- Add patch pathx-whitespace-ea010d8.patch to fix BZ 700608

* Fri Apr 15 2011 David Lutterkort <lutter@redhat.com> - 0.8.1-1
- New version

* Wed Feb 23 2011 David Lutterkort <lutter@redhat.com> - 0.8.0-1
- New version

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 22 2010 Matthew Booth <mbooth@redhat.com> - 0.7.4-1
- Update to version 0.7.4

* Thu Nov 18 2010 Richard W.M. Jones <rjones@redhat.com> - 0.7.3-2
- Upstream patch proposed to fix GCC optimization bug (RHBZ#651992).

* Fri Aug  6 2010 David Lutterkort <lutter@redhat.com> - 0.7.3-1
- Remove upstream patches

* Tue Jun 29 2010 David Lutterkort <lutter@redhat.com> - 0.7.2-2
- Patches based on upstream fix for BZ 600141

* Tue Jun 22 2010 David Lutterkort <lutter@redhat.com> - 0.7.2-1
- Fix ownership of /usr/share/augeas. BZ 569393

* Wed Apr 21 2010 David Lutterkort <lutter@redhat.com> - 0.7.1-1
- New version

* Thu Jan 14 2010 David Lutterkort <lutter@redhat.com> - 0.7.0-1
- Remove patch vim-ftdetect-syntax.patch. It's upstream

* Tue Dec 15 2009 David Lutterkort <lutter@redhat.com> - 0.6.0-2
- Fix ftdetect file for vim

* Mon Nov 30 2009 David Lutterkort <lutter@redhat.com> - 0.6.0-1
- Install vim syntax files

* Mon Sep 14 2009 David Lutterkort <lutter@redhat.com> - 0.5.3-1
- Remove separate xorg.aug, included in upstream source

* Tue Aug 25 2009 Matthew Booth <mbooth@redhat.com> - 0.5.2-3
- Include new xorg lens from upstream

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 David Lutterkort <lutter@redhat.com> - 0.5.2-1
- New version

* Fri Jun  5 2009 David Lutterkort <lutter@redhat.com> - 0.5.1-1
- Install fadot

* Fri Mar 27 2009 David Lutterkort <lutter@redhat.com> - 0.5.0-2
- fadot isn't being installed just yet

* Tue Mar 24 2009 David Lutterkort <lutter@redhat.com> - 0.5.0-1
- New program /usr/bin/fadot

* Mon Mar  9 2009 David Lutterkort <lutter@redhat.com> - 0.4.2-1
- New version

* Fri Feb 27 2009 David Lutterkort <lutter@redhat.com> - 0.4.1-1
- New version

* Fri Feb  6 2009 David Lutterkort <lutter@redhat.com> - 0.4.0-1
- New version

* Mon Jan 26 2009 David Lutterkort <lutter@redhat.com> - 0.3.6-1
- New version

* Tue Dec 23 2008 David Lutterkort <lutter@redhat.com> - 0.3.5-1
- New version

* Mon Feb 25 2008 David Lutterkort <dlutter@redhat.com> - 0.0.4-1
- Initial specfile
